## org.apache.commons.math3.optimization.linear
Class NoFeasibleSolutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      org.apache.commons.math3.exception.MathIllegalStateException
                          org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

Deprecated. As of 3.1 (to be removed in 4.0).

    @Deprecated
    public class NoFeasibleSolutionException

extends MathIllegalStateException

This class represents exceptions thrown by optimizers when no solution fulfills the constraints.

Since:
  2.0
Version:
  $Id: NoFeasibleSolutionException.java 1422230 2012-12-15 12:11:13Z erans $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Deprecated. Serializable version identifier.

Constructor Summary
`NoFeasibleSolutionException()` Deprecated. Simple constructor using a default message.

Method Summary

Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Deprecated.
  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### NoFeasibleSolutionException

    public NoFeasibleSolutionException()

  Deprecated.
  Simple constructor using a default message.

Copyright (c) 2003-2013 Apache Software Foundation